## vara-0.1.251018.tar.gz

=== Makefile ===
ifeq ($(origin PREFIX), undefined)
	PREFIX=/usr
endif

default: src/vara

# The following doc says .PHONY is not supported by some versions of `make`:
# https://www.gnu.org/software/make/manual/html_node/Force-Targets.html
src/vara: FORCE
	make -C src vara

FORCE:

test:
	src/vara --test-nongui --test-nongui-count 4

install:
	# DESTDIR is defined by dh_auto_install, and is a standard as per
	# the GNU Make doc.
	install -D -s src/vara "${DESTDIR}"/"${PREFIX}"/bin/vara
	cp -r usr/* "${DESTDIR}"/"${PREFIX}"/
	install -m644 -D in.co.nandakumar.vara.metainfo.xml "${DESTDIR}"/"${PREFIX}"/share/metainfo/in.co.nandakumar.vara.metainfo.xml
	desktop-file-install --dir="${DESTDIR}"/"${PREFIX}"/share/applications vara.desktop

=== src/Makefile ===
DEBUGFLAGS=-g -DDEBUG
WARNOPTS=-Wall -Werror=implicit-function-declaration -Werror=uninitialized -Werror=return-type
CFLAGS=$$(pkg-config --cflags gtk+-3.0) $(WARNOPTS)
LDFLAGS=$$(pkg-config --libs gtk+-3.0) -lm

ifdef debug
  CFLAGSMAYDBG=$(DEBUGFLAGS)
else
  CFLAGSMAYDBG=-O2
  LDFLAGS+=-s
endif

CFLAGS+=$(CFLAGSMAYDBG)

include auto.mk

uncomment-flatpak-specific:
	sed -i 's/^.*\/\/ FLATPAK_DELETE$$//' ui.c
	sed -i 's/\/\/ FLATPAK_UNCOMMENT//' ui.c

=== debian/changelog ===
vara (0.1.251018) unstable; urgency=low

  Please see the AppStream metadata (in.co.nandakumar.vara.metainfo.xml)
  for the changelog.

 -- Nandakumar Edamana <nandakumar@nandakumar.co.in>  Sat, 18 Oct 2025 14:58:00 +0530

=== debian/control ===
Source: vara
Priority: optional
Section: graphics
Maintainer: Nandakumar Edamana <nandakumar@nandakumar.co.in>
Build-Depends: build-essential, debhelper, desktop-file-utils, libgtk-3-dev (>=3.24)
Standards-Version: 4.5.1

Package: vara
Architecture: any
Depends: ${shlibs:Depends}
Homepage: https://nandakumar.co.in/software/vara/
Description: Drawing and digital painting application
 Vara is a lightweight drawing program that supports essential features like
 pressure-sensitive brushes and layers.

=== debian/rules ===
#!/usr/bin/make -f
# Copied from https://www.debian.org/doc/manuals/maint-guide/dreq.en.html#rules
%:
	dh $@
